Name:           ffc
Version:        0.6.2
Release:        alt1
Summary:        Compiler for finite element variational forms
Group:          Development/Tools
License:        GPL v3
URL:            http://www.fenics.org/
Source: http://www.fenics.org/pub/software/ffc/v0.6/ffc-0.6.2.tar.gz
Source1: http://www.fenics.org/pub/documents/ffc/ffc-user-manual/ffc-user-manual.pdf
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Requires: python-module-%name = %version-%release

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel = %__python_version
BuildPreReq: python-module-numpy python-module-fiat python-module-ufc
BuildPreReq: python-module-ferari

%description
FFC is a compiler for finite element variational forms. From a high-level
description of the form, it generates efficient low-level C++ code that
can be used to assemble the corresponding discrete operator (tensor). In
particular, a bilinear form may be assembled into a matrix and a linear
form may be assembled into a vector.

FFC may be used either from the command line (by invoking the 'ffc' command)
or as a Python module ('import ffc').

FFC is part of the FEniCS project (www.fenics.org) and functions as a
just-in-time (JIT) compiler for DOLFIN.

%package doc
Summary: User manual for FFC
Group: Development/Documentation
BuildArch: noarch

%description doc
FFC is a compiler for finite element variational forms. From a high-level
description of the form, it generates efficient low-level C++ code that
can be used to assemble the corresponding discrete operator (tensor). In
particular, a bilinear form may be assembled into a matrix and a linear
form may be assembled into a vector.

This package contains user manual for UFL (Unified Form Language).

%package -n python-module-%name
Summary: Python module of FFC
Group: Development/Python
BuildArch: noarch
Requires: python-module-fiat python-module-ufc python-module-ferari
%setup_python_module ffc
%py_provides ffc
%py_requires FIAT ufc FErari
%add_python_req_skip reassign

%description -n python-module-%name
FFC is a compiler for finite element variational forms. From a high-level
description of the form, it generates efficient low-level C++ code that
can be used to assemble the corresponding discrete operator (tensor). In
particular, a bilinear form may be assembled into a matrix and a linear
form may be assembled into a vector.

This package contains python module of FFC.

%prep
%setup

%build
%__python setup.py build

%install
CFLAGS="%optflags" %__python setup.py install \
	--root=%buildroot --optimize=2

install -d %buildroot%_docdir/%name
install -p -m644 %SOURCE1 %buildroot%_docdir/%name

%files
%doc README TODO AUTHORS ChangeLog COPYING
%_bindir/*
%_man1dir/*

%files doc
%_docdir/%name

%files -n python-module-%name
%_libexecdir/python%__python_version/site-packages/*

%changelog
* Fri Apr 24 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.2-alt1
- Initial build for Sisyphus

